# $Revision: 1.2 $, $Date: 2002/08/09 10:03:19 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	ParseWords
Summary:	String::ParseWords - Parse a string into logical words
#Summary(pl):	
Name:		perl-String-ParseWords
Version:	0.1
Release:	1
License:	IBM Public License Version 1.0
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
B<String::ParseWords> is designed to parse logical words from a
string. Logical words are defined as sets of characters between double
quotes or sets of characters between whitespace.

# %description -l pl
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-ParseWords.spec,v $
Revision 1.2  2002/08/09 10:03:19  radek
- cosmetic fix

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR

